Debian Bug report logs - #695681
document available cloud options under www.debian.org/distrib/

Package: cloud.debian.org; Maintainer for cloud.debian.org is Debian Cloud Team <debian-cloud@lists.debian.org>;

Reported by: Stefano Zacchiroli <zack@debian.org>

Date: Tue, 11 Dec 2012 17:15:02 UTC

Severity: normal

Merged with 712690

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cloud Team <debian-cloud@lists.debian.org>:
Bug#695681; Package cloud.debian.org. (Tue, 11 Dec 2012 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Cloud Team <debian-cloud@lists.debian.org>. (Tue, 11 Dec 2012 17:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: document available cloud options under www.debian.org/distrib/
Date: Tue, 11 Dec 2012 18:10:26 +0100
Package: cloud.debian.org
Severity: normal

[ documenting it here to keep track of pending stuff ]

We should add under http://www.debian.org/distrib/ a new section listing
available cloud options.

In the medium term, the per-cloud (sub)pages there would also be the right
places where to document image checksums and authoritative IDs (e.g. AMI IDs).

Note that there is a pending related bug report (with patch) as part of
#686819. It might be wise to review/apply that before digging into a new patch
for this one.

Cheers.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Added indication that 695681 affects www.debian.org Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Sun, 10 Feb 2013 14:39:07 GMT) Full text and rfc822 format available.

Information stored :
Bug#695681; Package cloud.debian.org. (Sun, 31 Mar 2013 14:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 695681-quiet@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: debian-cloud@lists.debian.org
Subject: Re: [RFR] Press release about Debian on public clouds
Date: Sat, 30 Mar 2013 12:33:25 +0900
Le Fri, Mar 29, 2013 at 03:07:31PM +0100, Stefano Zacchiroli a écrit :
> On Thu, Mar 21, 2013 at 01:26:50PM +0800, Paul Wise wrote:
> > I like the buildings analogy for this stuff:
> 
> Hi Paul, thanks for this writing. I quite like this analogy and I agree
> with Charles that it could be use as a nice basis, at least as an
> intuition to document Debian cloud offerings.
> 
> Again, to make this true we could use someone drafting a "cloud" page
> for www.d.o; ditto for the equivalent of a "download" page for it. See
> #695681 for a reference on this.

I have created wiki pages to facilitate the drafting of our additions
to www.debian.org.

 * http://wiki.debian.org/Cloud/www.d.o-draft
 * http://wiki.debian.org/Cloud/www.d.o-draft/philoshphy

In the "philosphy" page (for which a better name may be found), I have pasted
the analogy from Paul's email.

I think that it would be nicely complemented by a final paragraph
explaining how Debian support the use of Free software at various
levels of trust in the cloud systems.  Something like the following ?

"The Debian project supports and promotes the use of Free software at every
level of the trust chain.  The software we distribute is split between the
main, contrib and non-free sections so that our users can not depend on
non-free firmware without noticing it.  Debian is the universal operating
system, which can operate a network infrastructure, virtualised hardware, cloud
systems, remote services, and the client systems that access them."

This misses Free hardware.  Do we distribute packages that are related to the
conception and production of free hardware ?

Cheers,

-- 
Charles


-- 
To UNSUBSCRIBE, email to debian-cloud-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/20130330033325.GK23518@falafel.plessy.net




Information stored :
Bug#695681; Package cloud.debian.org. (Sun, 31 Mar 2013 14:06:07 GMT) Full text and rfc822 format available.

Message #13 received at 695681-quiet@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@member.fsf.org>
To: debian-cloud@lists.debian.org
Cc: press@debian.org
Subject: Re: [RFR] Press release about Debian on public clouds
Date: Sat, 30 Mar 2013 12:10:42 +0000
On 30/03/13 03:33, Charles Plessy wrote:
> Le Fri, Mar 29, 2013 at 03:07:31PM +0100, Stefano Zacchiroli a écrit
> :
>> On Thu, Mar 21, 2013 at 01:26:50PM +0800, Paul Wise wrote:
>>> I like the buildings analogy for this stuff:
>> 
>> Hi Paul, thanks for this writing. I quite like this analogy and I
>> agree with Charles that it could be use as a nice basis, at least
>> as an intuition to document Debian cloud offerings.
>> 
>> Again, to make this true we could use someone drafting a "cloud"
>> page for www.d.o; ditto for the equivalent of a "download" page for
>> it. See #695681 for a reference on this.
> 
> I have created wiki pages to facilitate the drafting of our
> additions to www.debian.org.
> 
> * http://wiki.debian.org/Cloud/www.d.o-draft *
> http://wiki.debian.org/Cloud/www.d.o-draft/philoshphy
> 
> In the "philosphy" page (for which a better name may be found), I
> have pasted the analogy from Paul's email.

I've pasted the text from that page below so we can comment on it inline.

One of overall comment I have is that the "buildings" analogy is a
misleading analogy and leads to false conclusions.  Rather than using
any analogy it would be better to describe what it is and what is
actually happening.  This is part of the problem with public cloud is
people are already, for various reasons, falsely not acknowledging that
running on a public cloud is doing your computing on top of Software,
that you can't inspect the running copy, on hardware you don't have
access to, made available as a Service.

> * Cloud * www.d.o-draft * philoshphy
> 
> Draft for a "philosophy", "freedom", or "viewpoint" page about clouds
> on www.debian.org
> 
> Having a private cloud is like owning a bunch of buildings on your
> own land and keeping most of them empty most of the time.

If you run a private cloud you don't need to "keep them empty most of
the time".  You can have your running VMs expand and shrink their
resource usage as hardware resources allow, when they are less crammed
in they will (mostly) run better.  You can run lower importance
computing jobs less or more depending on how much higher importance jobs
there are.  You could run DACA stuff, DI tests, test FTBFS and/or some
lower importance CI tasks with any spare resources.

> Putting some servers into a data-centre is like owning a bunch of
> buildings built on land rented from someone else.
> 
> Using IaaS (public cloud) is like renting an empty building with the
> usual utilities; electricity, water, gas.
> 
> Using PaaS is like renting a pre-furnished room in a building.
> 
> Using SaaS is like visiting the library, post office or a
> restaurant.

This is where the "buildings" analogy really breaks down, leads to false
understanding and false conclusions.  What using public cloud *is*
(rather than perhaps what people would like to pretend it is) is doing
your computing on top of Software, that you can't inspect the running
copy, on hardware you don't have access to, made available as a Service.
 This is the same whether what is being used is a spreadsheet, a
programming runtime environment or a cloud computing solution.  It is
the very antithesis of what the Free Software Movement is about.

Let's remember the initial press release draft press release:

> <p>
> As you may know, starting with the upcoming stable release <q>Wheezy</q>,
> Debian will <a href="http://www.debian.org/News/2012/20120425";>make
> it easier for its users to deploy private clouds</a>.
> As a free software project, we care deeply about the freedom of our users
> and we recommend to them to run their own private clouds whenever possible.
> </p>
> 
> <p>
> While we recommend running your own cloud

Unfortunately, this was shouted down.  But it makes it so clear that a
cloud computing solution *is* Software.  The software to do a cloud
computing solution is in main in wheezy.  That Debian is a free software
project and committed to the freedom of its user.  And has the statement
that if you are going to run a cloud computing solution then Debian
recommends you do it on your own private cloud, which fits with Debian's
commitment to the free software community.

> Everyone makes a trade-off when they decide where in the spectrum
> they feel comfortable with. It is all about asking yourself the
> question "am I free enough?". Every choice is valid but some are more
> risky than others and it all comes down to our trust in society.

I disagree with pretty much everything in this bit!

Is this really about "trust in society"?  Are the public cloud providers
society?  Is wanting to be free a trust issue?

Would you make the same statements about non-Free Software?  Should
Debian?  Are people not wanting to run non-Free Software just not
"trusting" enough?

What about instead saying "it all comes down to how much you value your
freedom.".

> I think that it would be nicely complemented by a final paragraph 
> explaining how Debian support the use of Free software at various 
> levels of trust in the cloud systems.  Something like the following
> ?
> 
> "The Debian project supports and promotes the use of Free software at
> every level of the trust chain.  The software we distribute is split
> between the main, contrib and non-free sections so that our users can
> not depend on non-free firmware without noticing it.

The reason for main, contrib and non-free is more than non-free firmware
but also non-free software.  Perhaps there should be a 'saas' archive,
this wouldn't have anything in it or all the packages would be empty
because with SaaS you don't even get the executing software.  This would
help bring clarity to the situation for many.

My argument would be that running on public cloud is a bit like running
on one massive non-free firmware blob (only worse, of course, as
explained).  I would hope that Debian would, if it is provides support
for public clouds, at least say on cloud computing that it is preferable
to run a private cloud.

>  Debian is the
> universal operating system, which can operate a network
> infrastructure, virtualised hardware, cloud systems, remote services,
> and the client systems that access them."

Probably the word "provide" rather than "operate".

> This misses Free hardware.  Do we distribute packages that are
> related to the conception and production of free hardware ?

Here is one:
http://packages.qa.debian.org/g/geda-gaf.html


In conclusion, please could we have a statement in the sentiment of the
original press release draft, available at:
https://lists.debian.org/debian-cloud/2013/03/msg00000.html
which is more in keeping with Debian's philosophy.  I think the
subscribers here might not be reflective of the views of the project as
a whole.  Please could the statement be posted to a list where it will
receive more project wide feedback before it becomes the official statement.

And I urge people to read "Who does that server really serve?"
<http://www.gnu.org/philosophy/who-does-that-server-really-serve.html>.

Regards,
Mike.

P.S. If you ever thought that Open Source and Free Software "are the
same thing" then hopefully this discussion dispelled that, see "Why Open
Source misses the point of Free Software"
<http://www.gnu.org/philosophy/open-source-misses-the-point.html>.

-- 
FSF member #9429
http://www.fsf.org/register_form?referrer=9429
http://www.fsf.org/about
"The Free Software Foundation (FSF) is a nonprofit with a worldwide
mission to promote computer user freedom and to defend the rights of all
free software users."


-- 
To UNSUBSCRIBE, email to debian-cloud-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/5156D642.4090603@member.fsf.org




Merged 695681 712690 Request was from David Prévot <taffit@debian.org> to 712690-submit@bugs.debian.org. (Tue, 18 Jun 2013 16:00:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:03:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.